%define momorel 26
%define LIB_MAJOR 0
%define LIB_MINOR 7
%define LIB_REL 6

Summary: A security tool which acts as a wrapper for TCP daemons.
Name: tcp_wrappers
Version: 7.6
Release: %{momorel}m
License: see "DISCLAIMER" and see "strcasecmp.c"
Group: System Environment/Daemons
Source: ftp://coast.cs.purdue.edu/pub/tools/unix/netutils/tcp_wrappers/tcp_wrappers_7.6.tar.gz
Patch: tcpw7.2-config.patch
Patch1: tcpw7.2-setenv.patch
Patch2: tcpw7.6-netgroup.patch
Patch3: tcp_wrappers-7.6-bug11881.patch
Patch4: tcp_wrappers-7.6-bug17795.patch
Patch5: tcp_wrappers-7.6-bug17847.patch
Patch6: tcp_wrappers-7.6-fixgethostbyname.patch
Patch7: tcp_wrappers-7.6-docu.patch
Patch8: tcp_wrappers-7.6-casesens.patch
Patch9: tcp_wrappers.usagi-ipv6.patch
Patch10: tcp_wrappers.ume-ipv6.patch
Patch11: tcp_wrappers-7.6-shared.patch
Patch12: tcp_wrappers-7.6-sig.patch
Patch13: tcp_wrappers-7.6-strerror.patch

Patch50: tcpw-barterly-yp.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, FTP, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

Install the tcp_wrappers program if you need a security tool for
filtering incoming network services requests.

This version also supports IPv6.

%prep
%setup -q -n tcp_wrappers_7.6
%patch0 -p1 -b .config~
%patch1 -p1 -b .setenv~
%patch2 -p1 -b .netgroup~
%patch3 -p1 -b .bug11881~
%patch4 -p1 -b .bug17795~
%patch5 -p1 -b .bug17847~
%patch6 -p1 -b .fixgethostbyname~
%patch7 -p1
%patch9 -p0 -b .usagi
%patch10 -p1 -b .ume-ipv6~
%patch11 -p1 -b .shared~
%patch12 -p1 -b .sig~
%patch13 -p1 -b .strerror~

%patch50 -p1 -b .yp~

%build
make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT -DHAVE_STRERROR" MAJOR=%{LIB_MAJOR} MINOR=%{LIB_MINOR} REL=%{LIB_REL} linux %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_mandir}/man{3,5,8}
mkdir -p %{buildroot}%{_sbindir}

cp hosts_access.3 %{buildroot}%{_mandir}/man3
cp hosts_access.5 hosts_options.5 %{buildroot}%{_mandir}/man5
cp tcpd.8 tcpdchk.8 tcpdmatch.8 %{buildroot}%{_mandir}/man8
ln -sf hosts_access.5 %{buildroot}%{_mandir}/man5/hosts.allow.5
ln -sf hosts_access.5 %{buildroot}%{_mandir}/man5/hosts.deny.5
cp -a libwrap.a %{buildroot}%{_libdir}
cp -a libwrap.so* ${RPM_BUILD_ROOT}%{_libdir}
cp tcpd.h %{buildroot}%{_includedir}
install -m755 safe_finger %{buildroot}/usr/sbin
install -m755 tcpd %{buildroot}/usr/sbin
install -m755 try-from %{buildroot}/usr/sbin

# XXX remove utilities that expect /etc/inetd.conf (#16059).
#install -m755 tcpdchk %{buildroot}/usr/sbin
#install -m755 tcpdmatch %{buildroot}/usr/sbin
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man8/tcpdmatch.*
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man8/tcpdchk.*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BLURB CHANGES README* DISCLAIMER Banners.Makefile strcasecmp.c
%{_mandir}/man[358]/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so*
%{_sbindir}/*

%changelog
* Wed Oct 29 2003 zunda <zunda at freeshell.org>
- (7.6-26m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft).

* Tue May  6 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (7.6-25m)
- sync with redhat(tcp_wrappers-7.6-34)
- import patches
	Patch7: tcp_wrappers-7.6-docu.patch
	Patch8: tcp_wrappers-7.6-casesens.patch
	Patch9: tcp_wrappers.usagi-ipv6.patch
	Patch10: tcp_wrappers.ume-ipv6.patch
	Patch11: tcp_wrappers-7.6-shared.patch
	Patch12: tcp_wrappers-7.6-sig.patch
	Patch13: tcp_wrappers-7.6-strerror.patch
- remove utilities that expect /etc/inetd.conf (tcpdchk,tcpdmatch)
- install shared library
- always apply ipv6 patch
- revice tcpw-barterly-yp.patch

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (7.6-24k)
- updated Source0 URL.

* Mon Mar 21 2001 Motonobu Ichimura <famao@kondara.org>
- (7.6-22k)
- replace ipv6 patch with usagi's one

* Mon Mar 21 2001 Motonobu Ichimura <famao@kondara.org>
- (7.6-20k)
- applied bug-fix patches from rawhide (7.6-19)

* Tue Mar  6 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (7.6-18k)
- errased IPv6 functions with %{_ipv6} macro

* Mon Jun 26 2000 Masaaki Noro <noro@flab.fujitsu.co.jp>
- fix spec file.(add url of kame patch)

* Thu Jun 01 2000 KUSUNOKI Masanori <nori@kondara.org>
- Enable IPv6.

* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (7.6-10).

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Tue Feb 1 2000 Masako Hattori <maru@kondara.org>
-- update man-pages-ja-tcp_wrappers-20000115

* Tue Nov 30 1999 Masako Hattori <maru@kondara.org>
- add man-pages-ja-tcp_wrappers-19991115

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Oct 15 1999 Toru Hoshina <t@kondara.org>
- add -DUSE_GETDOMAIN.

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- add netgroup support (#3940).

* Wed May 26 1999 Jeff Johnson <jbj@redhat.com>
- compile on sparc with -fPIC.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- close setenv bug (problem #690)
- spec file cleanup

* Thu Jun 25 1998 Alan Cox <alan@redhat.com>
- Erp where did the Dec 05 patch escape to

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Dec 05 1997 Erik Troan <ewt@redhat.com>
- don't build setenv.o module -- it just breaks things

* Wed Oct 29 1997 Marc Ewing <marc@redhat.com>
- upgrade to 7.6

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Upgraded to version 7.5
- Uses a build root
